#!/bin/bash
# this script calculates the two-center integrals
# and assembles the skf tables.
# It must be run in the optimisation loop since we
# are trying to optimise the comporession radii

# NOTABENE: Do not rm skdefs.py within this script. 
# At this stage, it should be the one generated by the optimiser!

skgen potcomp -b slateratom Si

# now we skip the wavecomp computation, as we actually want the same 
# compression for both waves and density
# make dir if not present; do not complain if there
mkdir -p Si/wavecomp
# clean if directory was there
/bin/rm -f Si/wavecomp/*
# copy relevant files
/bin/cp Si/potcomp/wave_03[spd].dat Si/wavecomp/

# twocnt -g 0.2 is for grid spacing -s potential for superposition type
skgen twocnt -g 0.02 -s potential Si Si

# sktable -d is for dummy repulsive
skgen sktable -d Si Si
